package com.tofly.callcenter.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.callcenter.custom.entity.FlowNum;
import com.tofly.callcenter.custom.entity.dto.MissCallInfosDto;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/7/7 16:37
 */
public interface RecordService {
    String listenRecordFile(String connectionId, HttpServletResponse response);

    boolean configFlow(FlowNum flowNum);

    /**
     * 获取录音条数
     * @return list
     */
    Map<String, Integer> queryRecordNum(String crew, String start, String end);

    /**
     * 获取未接来电
     * @param emp 员工
     * @param tel 电话
     * @return page
     */
    Page missedCalls(Page page,String emp,String tel);

    /**
     * 话务清单
     * @param page page
     * @param dto dto
     * @return page
     */
    Page missedCallsInfo(Page page,HttpServletResponse response, MissCallInfosDto dto);
}
